commit daf8251dd736b114df7fc4ca6972929114600c9d
Author: Jeffrey Bailes <thepizzaking@gmail.com>
Date:   Sat Dec 10 22:03:06 2011 +1100

    Don't try to create thumbnails for audio files.
    
    Remove metadata types from the thumbnailer that
    are obviously audio only.

diff --git a/whaaw-thumbnailer.desktop b/whaaw-thumbnailer.desktop
index 7b3363f..22edaa7 100644
--- a/whaaw-thumbnailer.desktop
+++ b/whaaw-thumbnailer.desktop
@@ -3,5 +3,5 @@ Version=1.0
 Encoding=UTF-8
 Name=Whaaw! Thumbnailer
 Type=X-Thumbnailer
-MimeType=application/ogg;application/ram;application/vnd.rn-realmedia;application/x-extension-m4a;application/x-extension-mp4;application/x-flac;application/x-flash-video;application/x-matroska;application/x-ogg;application/x-quicktime-media-link;application/x-quicktimeplayer;application/x-shockwave-flash;application/x-shorten;application/x-smil;application/xspf+xml;audio/3gpp;audio/ac3;audio/AMR;audio/AMR-WB;audio/basic;audio/mp4;audio/mpeg;audio/vnd.rn-realaudio;audio/x-ape;audio/x-flac;audio/x-it;audio/x-m4a;audio/x-matroska;audio/x-mod;audio/x-mp3;audio/x-mpeg;audio/x-mpegurl;audio/x-ms-asf;audio/x-ms-wax;audio/x-ms-wma;audio/x-musepack;audio/x-pn-aiff;audio/x-pn-au;audio/x-pn-realaudio;audio/x-pn-realaudio-plugin;audio/x-pn-wav;audio/x-pn-windows-acm;audio/x-realaudio;audio/x-real-audio;audio/x-scpls;audio/x-tta;audio/x-wav;audio/x-wav;audio/x-wavpack;image/vnd.rn-realpix;image/x-pict;misc/ultravox;text/google-video-pointer;text/x-google-video-pointer;video/3gpp;video/dv;video/fli;video/flv;video/mp4;video/mp4v-es;video/mpeg;video/msvideo;video/quicktime;video/vivo;video/vnd.divx;video/vnd.rn-realvideo;video/vnd.vivo;video/webm;video/x-anim;video/x-avi;video/x-flc;video/x-fli;video/x-flic;video/x-m4v;video/x-matroska;video/x-mpeg;video/x-ms-asf;video/x-msvideo;video/x-ms-wm;video/x-ms-wmv;video/x-ms-wmx;video/x-ms-wvx;video/x-nsv;video/x-ogm+ogg;video/x-theora+ogg;
+MimeType=application/ogg;application/ram;application/vnd.rn-realmedia;application/x-extension-m4a;application/x-extension-mp4;application/x-flash-video;application/x-matroska;application/x-ogg;application/x-quicktime-media-link;application/x-quicktimeplayer;application/x-shockwave-flash;application/x-shorten;application/x-smil;application/xspf+xml;audio/3gpp;video/3gpp;video/dv;video/fli;video/flv;video/mp4;video/mp4v-es;video/mpeg;video/msvideo;video/quicktime;video/vivo;video/vnd.divx;video/vnd.rn-realvideo;video/vnd.vivo;video/webm;video/x-anim;video/x-avi;video/x-flc;video/x-fli;video/x-flic;video/x-m4v;video/x-matroska;video/x-mpeg;video/x-ms-asf;video/x-msvideo;video/x-ms-wm;video/x-ms-wmv;video/x-ms-wmx;video/x-ms-wvx;video/x-nsv;video/x-ogm+ogg;video/x-theora+ogg;
 X-Thumbnailer-Exec=whaaw-thumbnailer -s %s -o %o %i
commit a9e03e1ae8273ec134b25567dcdda4d04c05e7cc
Author: Jeffrey Bailes <thepizzaking@gmail.com>
Date:   Sun Dec 11 10:44:46 2011 +1100

    Add video/ogg and video/x-flv so thumbnailer supported filetypes.

diff --git a/whaaw-thumbnailer.desktop b/whaaw-thumbnailer.desktop
index 22edaa7..b868334 100644
--- a/whaaw-thumbnailer.desktop
+++ b/whaaw-thumbnailer.desktop
@@ -3,5 +3,5 @@ Version=1.0
 Encoding=UTF-8
 Name=Whaaw! Thumbnailer
 Type=X-Thumbnailer
-MimeType=application/ogg;application/ram;application/vnd.rn-realmedia;application/x-extension-m4a;application/x-extension-mp4;application/x-flash-video;application/x-matroska;application/x-ogg;application/x-quicktime-media-link;application/x-quicktimeplayer;application/x-shockwave-flash;application/x-shorten;application/x-smil;application/xspf+xml;audio/3gpp;video/3gpp;video/dv;video/fli;video/flv;video/mp4;video/mp4v-es;video/mpeg;video/msvideo;video/quicktime;video/vivo;video/vnd.divx;video/vnd.rn-realvideo;video/vnd.vivo;video/webm;video/x-anim;video/x-avi;video/x-flc;video/x-fli;video/x-flic;video/x-m4v;video/x-matroska;video/x-mpeg;video/x-ms-asf;video/x-msvideo;video/x-ms-wm;video/x-ms-wmv;video/x-ms-wmx;video/x-ms-wvx;video/x-nsv;video/x-ogm+ogg;video/x-theora+ogg;
+MimeType=application/ogg;application/ram;application/vnd.rn-realmedia;application/x-extension-m4a;application/x-extension-mp4;application/x-flash-video;application/x-matroska;application/x-ogg;application/x-quicktime-media-link;application/x-quicktimeplayer;application/x-shockwave-flash;application/x-shorten;application/x-smil;application/xspf+xml;audio/3gpp;video/3gpp;video/dv;video/fli;video/flv;video/x-flv;video/mp4;video/mp4v-es;video/mpeg;video/msvideo;video/quicktime;video/vivo;video/vnd.divx;video/vnd.rn-realvideo;video/vnd.vivo;video/webm;video/x-anim;video/x-avi;video/x-flc;video/x-fli;video/x-flic;video/x-m4v;video/x-matroska;video/x-mpeg;video/x-ms-asf;video/x-msvideo;video/x-ms-wm;video/x-ms-wmv;video/x-ms-wmx;video/x-ms-wvx;video/x-nsv;video/x-ogm+ogg;video/x-theora+ogg;video/ogg;
 X-Thumbnailer-Exec=whaaw-thumbnailer -s %s -o %o %i
diff --git a/whaawmp.desktop b/whaawmp.desktop
index 3d6c0c5..17e34e3 100644
--- a/whaawmp.desktop
+++ b/whaawmp.desktop
@@ -9,4 +9,4 @@ Terminal=False
 Type=Application
 Icon=whaawmp
 Categories=AudioVideo;Audio;Video;Player;GTK
-MimeType=application/ogg;application/ram;application/vnd.rn-realmedia;application/x-extension-m4a;application/x-extension-mp4;application/x-flac;application/x-flash-video;application/x-matroska;application/x-ogg;application/x-quicktime-media-link;application/x-quicktimeplayer;application/x-shockwave-flash;application/x-shorten;application/x-smil;application/xspf+xml;audio/3gpp;audio/ac3;audio/AMR;audio/AMR-WB;audio/basic;audio/mp4;audio/mpeg;audio/vnd.rn-realaudio;audio/x-ape;audio/x-flac;audio/x-it;audio/x-m4a;audio/x-matroska;audio/x-mod;audio/x-mp3;audio/x-mpeg;audio/x-mpegurl;audio/x-ms-asf;audio/x-ms-wax;audio/x-ms-wma;audio/x-musepack;audio/x-pn-aiff;audio/x-pn-au;audio/x-pn-realaudio;audio/x-pn-realaudio-plugin;audio/x-pn-wav;audio/x-pn-windows-acm;audio/x-realaudio;audio/x-real-audio;audio/x-tta;audio/x-wav;audio/x-wav;audio/x-wavpack;image/vnd.rn-realpix;image/x-pict;misc/ultravox;text/google-video-pointer;text/x-google-video-pointer;video/3gpp;video/dv;video/fli;video/flv;video/mp4;video/mp4v-es;video/mpeg;video/msvideo;video/quicktime;video/vivo;video/vnd.divx;video/vnd.rn-realvideo;video/vnd.vivo;video/webm;video/x-anim;video/x-avi;video/x-flc;video/x-fli;video/x-flic;video/x-m4v;video/x-matroska;video/x-mpeg;video/x-ms-asf;video/x-msvideo;video/x-ms-wm;video/x-ms-wmv;video/x-ms-wmx;video/x-ms-wvx;video/x-nsv;video/x-ogm+ogg;video/x-theora+ogg;
+MimeType=application/ogg;application/ram;application/vnd.rn-realmedia;application/x-extension-m4a;application/x-extension-mp4;application/x-flac;application/x-flash-video;application/x-matroska;application/x-ogg;application/x-quicktime-media-link;application/x-quicktimeplayer;application/x-shockwave-flash;application/x-shorten;application/x-smil;application/xspf+xml;audio/3gpp;audio/ac3;audio/AMR;audio/AMR-WB;audio/basic;audio/mp4;audio/mpeg;audio/vnd.rn-realaudio;audio/x-ape;audio/x-flac;audio/x-it;audio/x-m4a;audio/x-matroska;audio/x-mod;audio/x-mp3;audio/x-mpeg;audio/x-mpegurl;audio/x-ms-asf;audio/x-ms-wax;audio/x-ms-wma;audio/x-musepack;audio/x-pn-aiff;audio/x-pn-au;audio/x-pn-realaudio;audio/x-pn-realaudio-plugin;audio/x-pn-wav;audio/x-pn-windows-acm;audio/x-realaudio;audio/x-real-audio;audio/x-tta;audio/x-wav;audio/x-wav;audio/x-wavpack;image/vnd.rn-realpix;image/x-pict;misc/ultravox;text/google-video-pointer;text/x-google-video-pointer;video/3gpp;video/dv;video/fli;video/flv;video/x-flv;video/mp4;video/mp4v-es;video/mpeg;video/msvideo;video/quicktime;video/vivo;video/vnd.divx;video/vnd.rn-realvideo;video/vnd.vivo;video/webm;video/x-anim;video/x-avi;video/x-flc;video/x-fli;video/x-flic;video/x-m4v;video/x-matroska;video/x-mpeg;video/x-ms-asf;video/x-msvideo;video/x-ms-wm;video/x-ms-wmv;video/x-ms-wmx;video/x-ms-wvx;video/x-nsv;video/x-ogm+ogg;video/x-theora+ogg;video/ogg;
